Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Class ConformanceProfileType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._3._0.rim.ConformanceProfileType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ConformanceProfileType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Conformance Profile Type', and utility methods for working with them.

See Also:
  `RimPackage.getConformanceProfileType()`

Field Summary
`static int` | `REGISTRY_FULL` The 'Registry Full' literal value.
`static ConformanceProfileType` | `REGISTRY_FULL_LITERAL` The 'Registry Full' literal object.
`static int` | `REGISTRY_LITE` The 'Registry Lite' literal value.
`static ConformanceProfileType` | `REGISTRY_LITE_LITERAL` The 'Registry Lite' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Conformance Profile Type' enumerators.

Method Summary
`static ConformanceProfileType` | `get(int value)` Returns the 'Conformance Profile Type' literal with the specified integer value.
`static ConformanceProfileType` | `get(java.lang.String literal)` Returns the 'Conformance Profile Type' literal with the specified literal value.
`static ConformanceProfileType` | `getByName(java.lang.String name)` Returns the 'Conformance Profile Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRY_FULL

    public static final int REGISTRY_FULL

  The 'Registry Full' literal value.

  If the meaning of 'Registry Full' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REGISTRY_FULL_LITERAL`, Constant Field Values

### REGISTRY_LITE

    public static final int REGISTRY_LITE

  The 'Registry Lite' literal value.

  If the meaning of 'Registry Lite' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REGISTRY_LITE_LITERAL`, Constant Field Values

### REGISTRY_FULL_LITERAL

    public static final ConformanceProfileType REGISTRY_FULL_LITERAL

  The 'Registry Full' literal object.

  See Also:
    `REGISTRY_FULL`

### REGISTRY_LITE_LITERAL

    public static final ConformanceProfileType REGISTRY_LITE_LITERAL

  The 'Registry Lite' literal object.

  See Also:
    `REGISTRY_LITE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Conformance Profile Type' enumerators.

Method Detail

### get

    public static ConformanceProfileType get(java.lang.String literal)

  Returns the 'Conformance Profile Type' literal with the specified literal value.

### getByName

    public static ConformanceProfileType getByName(java.lang.String name)

  Returns the 'Conformance Profile Type' literal with the specified name.

### get

    public static ConformanceProfileType get(int value)

  Returns the 'Conformance Profile Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD